package com.tofly.ghrq_route.module.map.interfaces;

import com.esri.arcgisruntime.layers.ArcGISTiledLayer;
import com.esri.arcgisruntime.layers.FeatureLayer;
import com.esri.arcgisruntime.mapping.view.GraphicsOverlay;
import com.esri.arcgisruntime.mapping.view.MapView;
import com.tofly.ghrq_route.module.map.domain.ConfigAll;

import java.util.List;

/**
 * Created by lihualong on 2017/9/16.
 */

public interface MapLoadHelper {
    void loadtpkMap(List<ArcGISTiledLayer> tpkLayers);
    void loadGeodataMap(FeatureLayer[] geodatabaseLayers);
    //void loadSatelliteMap(List<ArcGISTiledLayer> satelliteLayers);
    void turnToDownload();
    void loadSignPathLayer(GraphicsOverlay signPathLayer);
    void loadMapLayerIndexConfig(List<ConfigAll.ResultBean> result);
    void loadOnlineMap();
    void onBaseMapLoaded();
    MapView getMapView();
    void resetMapView();
}
